# Copyright 2002 Michael Grubb <mgrubb@fifthvision.net> 
# Released under the terms of the GNU General Public License

package RT::Condition::TicketPickup;
require RT::Condition::Generic;
use RT::User;

@ISA = qw(RT::Condition::Generic);


=head2 IsApplicable

This returns true, if the ticket status is new and the previous owner was
nobody.

=cut

sub IsApplicable {
    my $self = shift;

	my $retval = undef;
	my $owner = new RT::User( $self->TransactionObj->CurrentUser );
	$owner->Load($self->TransactionObj->OldValue);
	my $owner_name = $owner->__Value("name");
	$RT::Logger->debug("Transaction Field: ", $self->TransactionObj->Field, "\n");
	$RT::Logger->debug("Old Owner: $owner_name\n" );
	$RT::Logger->debug("Ticket Status: ", $self->TicketObj->Status, "\n");
	if( $self->TransactionObj->Field =~ m/Owner/i &&
		$owner_name =~ m/Nobody/i &&
		$self->TicketObj->Status =~ m/new/i )
	{
		$retval++;
	}
    return($retval);
}

1;

