#!/usr/bin/perl -w

use lib '/opt/rt2/lib';
use lib '/etc/opt/rt2';

use config;

use Carp;

use RT::Handle;
use RT::User;
use RT::CurrentUser;

$RT::Handle = new RT::Handle( $RT::DatabaseType );
$RT::Handle->Connect;

my $CurrentUser = new RT::CurrentUser();

use RT::Interface::CLI qw(CleanEnv LoadConfig DBConnect
							GetCurrentUser GetMessageContent);

CleanEnv();

LoadConfig();

DBConnect();

$CurrentUser->LoadByName('RT_System');

my @ScripConditions = (
	{
		Name => 'OnTicketPickup',
		Description => 'When ticket is first picked up',
		ApplicableTransTypes => 'Any',
		Argument => '',
		ExecModule => 'TicketPickup',
	},
);

print "Creating ScripConditions...";

use RT::ScripCondition;
for $item (@ScripConditions)
{
	my $new_entry = new RT::ScripCondition($CurrentUser);
	my $return = $new_entry->Create(%$item);
	print $return . ".";
}

print "done.\n";

$RT::Handle->Disconnect();

1;
